<?php
/**
 * Adding the Custom Post Type metaboxes
 * to the WordPress REST API
 *
 * @link       https://www.wpdispensary.com
 * @since      1.0.0
 *
 * @package    WPD_Heavyweights
 * @subpackage WP_Heavyweights/admin
 */

/**
 * This adds the wpdispensary_prices metafields to the
 * API callback for flowers
 *
 * @since    1.0.0
 */

add_action( 'rest_api_init', 'slug_register_heavyweightprices' );

/**
 * Registering Prices
 */
function slug_register_heavyweightprices() {
	$heavyweightsizes = array( '_twoounces', '_quarterpound', '_halfpound', '_onepound', '_twopounds', '_threepounds', '_fourpounds', '_fivepounds', '_sixpounds', '_sevenpounds', '_eightpounds', '_ninepounds', '_tenpounds', '_elevenpounds', '_twelvepounds' );
	foreach ( $heavyweightsizes as $size ) {
		register_rest_field(
			array( 'flowers' ),
			$size,
			array(
				'get_callback'    => 'slug_get_heavyweightprices',
				'update_callback' => null,
				'schema'          => null,
			)
		);
	} /** /foreach */
}

/**
 * Get Prices
 */
function slug_get_heavyweightprices( $object, $field_name, $request ) {
	return get_post_meta( $object['id'], $field_name, true );
}
